Documentation Index
Fetch the complete documentation index at: https://docs.kalshi.com/llms.txt
Use this file to discover all available pages before exploring further.
All URIs are relative to https://api.elections.kalshi.com/trade-api/v2
| Method | HTTP request | Description |
|---|
| get_exchange_announcements | GET /exchange/announcements | Get Exchange Announcements |
| get_exchange_schedule | GET /exchange/schedule | Get Exchange Schedule |
| get_exchange_status | GET /exchange/status | Get Exchange Status |
| get_series_fee_changes | GET /series/fee_changes | Get Series Fee Changes |
| get_user_data_timestamp | GET /exchange/user_data_timestamp | Get User Data Timestamp |
get_exchange_announcements
GetExchangeAnnouncementsResponse get_exchange_announcements()
Get Exchange Announcements
Endpoint for getting all exchange-wide announcements.
Parameters
This endpoint does not need any parameter.
Return type
GetExchangeAnnouncementsResponse
HTTP response details
| Status code | Description |
|---|
| 200 | Exchange announcements retrieved successfully |
| 500 | Internal server error |
get_exchange_schedule
GetExchangeScheduleResponse get_exchange_schedule()
Get Exchange Schedule
Endpoint for getting the exchange schedule.
Parameters
This endpoint does not need any parameter.
Return type
GetExchangeScheduleResponse
HTTP response details
| Status code | Description |
|---|
| 200 | Exchange schedule retrieved successfully |
| 500 | Internal server error |
get_exchange_status
ExchangeStatus get_exchange_status()
Get Exchange Status
Endpoint for getting the exchange status.
Parameters
This endpoint does not need any parameter.
Return type
ExchangeStatus
HTTP response details
| Status code | Description |
|---|
| 200 | Exchange status retrieved successfully |
| 500 | Internal server error |
| 503 | Service unavailable |
| 504 | Gateway timeout |
get_series_fee_changes
GetSeriesFeeChangesResponse get_series_fee_changes(series_ticker=series_ticker, show_historical=show_historical)
Get Series Fee Changes
Parameters
| Name | Type | Description | Notes |
|---|
| series_ticker | str | | [optional] |
| show_historical | bool | | [optional] [default to False] |
Return type
GetSeriesFeeChangesResponse
HTTP response details
| Status code | Description |
|---|
| 200 | Series fee changes retrieved successfully |
| 400 | Bad request - invalid input |
| 500 | Internal server error |
get_user_data_timestamp
GetUserDataTimestampResponse get_user_data_timestamp()
Get User Data Timestamp
There is typically a short delay before exchange events are reflected in the API endpoints. Whenever possible, combine API responses to PUT/POST/DELETE requests with websocket data to obtain the most accurate view of the exchange state. This endpoint provides an approximate indication of when the data from the following endpoints was last validated: GetBalance, GetOrder(s), GetFills, GetPositions
Parameters
This endpoint does not need any parameter.
Return type
GetUserDataTimestampResponse
HTTP response details
| Status code | Description |
|---|
| 200 | User data timestamp retrieved successfully |
| 500 | Internal server error |